# Radio 2024.1.0

## Description
Have you ever wanted to implement radio stations but don't want (or can't) pay an horrendous amount of money?
Whenever you like to provide good sound from famous artists for your games or apps, tune in on one of the uncountable Internet MP3 radio stations available for free.

Thanks to this asset, it is now possible for all Unity developers to listen to high quality sound without additional charges.
Alternatively receive music streams from your own server (e.g. Icecast, VLC Server etc.). 

We also implemented a unique sound visualizer in the demo scene, which you can modify to your liking.

You can buy it here: [Unity AssetStore](https://assetstore.unity.com/lists/crosstales-42213?aid=1011lNGT)



## Note for MacOS-users
Your security setup must allow apps from everywhere.
If the app still doesn’t start, open Terminal and enter these commands:

cd path/to/app

chmod +x "Radio PRO 2024.app/Contents/MacOS/Radio PRO 2024"

### Remove from quarantine(optional): 

xattr -r -d com.apple.quarantine "Radio PRO 2024.app/"


## Credits

"Radio PRO" uses modified versions of:
* [NAudio 1.7.2](https://github.com/naudio/NAudio)
* [NLayer 1.1.0](https://github.com/naudio/NLayer)
* [NVorbis 0.8.4](https://github.com/NVorbis/NVorbis)
* [UDE](https://github.com/errepi/ude)

The included radio-stations are mainly provided by:
* [1.fm](https://www.1.fm)
* [SomaFM.com](https://www.somafm.com)
* [Energy](https://energy.ch)

The search is provided by:
* [Spotify](https://www.spotify.com)

The lyrics are provided by:
* [AZLyrics](https://www.azlyrics.com)

The querying and art APIs are provided by:
* [OnRadio](http://onrad.io)

We aren’t affiliated to those companies.


The icons are based on [Font Awesome](https://fontawesome.io/).



## Contact

crosstales LLC
Schanzeneggstrasse 1
CH-8002 Zürich

* [Homepage](https://www.crosstales.com/en/portfolio/radio/)
* [Email](mailto:radio@crosstales.com)

### Social media
* [Discord](https://discord.gg/ZbZ2sh4)
* [Facebook](https://www.facebook.com/crosstales/)
* [Twitter](https://twitter.com/crosstales)
* [LinkedIN](https://www.linkedin.com/company/crosstales)



## More information
* [AssetStore](https://assetstore.unity.com/lists/crosstales-42213?aid=1011lNGT)
* [Forum](https://forum.unity.com/threads/radio-pro-mp3-and-ogg-streaming-solution.334604/)
* [Documentation](https://www.crosstales.com/media/data/assets/radio/Radio-doc.pdf)
* [API](http://www.crosstales.com/en/assets/radio/api)

### Videos
[Youtube-channel](https://www.youtube.com/c/Crosstales)

* [Promotion](https://youtu.be/1ZsxY788w-w?list=PLgtonIOr6Tb41XTMeeZ836tjHlKgOO84S)
* [Tutorial](https://youtu.be/E0s0NVRX-ec?list=PLgtonIOr6Tb41XTMeeZ836tjHlKgOO84S)

### Demos
* [Windows-Demo](https://drive.google.com/file/d/1uvfqDe2dWVGiVjaBqP2mwUvXgZUFIPQP/view?usp=sharing)
* [Mac-Demo](https://drive.google.com/file/d/1v0-KA2Xik0cat35destgOn8qwoe3xyKS/view?usp=sharing)
* [Linux-Demo](https://drive.google.com/file/d/1v5VMKx1VrobPtxzRmWuL14yGrpyVreyi/view?usp=sharing)
* [Android-Demo](https://drive.google.com/file/d/1vA4cTErl7N33djUpw9zeHBso4wR_0qvX/view?usp=sharing)


`Version: 08.02.2024`